Bug 108351 - Default list of paragraph styles in paragraph style drop down menu
Summary: Default list of paragraph styles in paragraph style drop down menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Writer-Styles-Paragraph-Combobox
  Show dependency treegraph
 
Reported: 2017-06-05 20:49 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-06 08:33 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
what i see (12.54 KB, image/jpeg)
2018-09-05 15:45 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-06-05 20:49:13 UTC
With the discussion about adding more styles to the drop down menu (bug 108026) and other related styles discussions in other bugs, i think it important that we discuss the order of styles in the drop down menu control and if any paragraph styles should be added.

The current list and order is as follows

Default Style
Text Body
Quotations
Title
Subtitle
Heading 1
Heading 2
Heading 3

I believe it should be reorganized similar to how i organized them in the Styles menu, like so

Default Style
Title
Subtitle
Heading 1
Heading 2
Heading 3
Text Body
Quotations

The last time we changed the list was in 4.1[1], when Samuel opened up the debate of the mailing list[2].

[1] https://gerrit.libreoffice.org/#/c/1248/
[2] http://nabble.documentfoundation.org/Libreoffice-ux-advise-Default-Styles-in-Writer-td4020441.html

As a reference, this is MS Word's default list of paragraph styles.

Normal            - equivalent to Text Body (proportional line spacing)
No Spacing        - equivalent to Default (single line spacing)
Heading 1         - equivalent to Heading 1
Heading 2         - equivalent to Heading 2
Title             - equivalent to Title
Subtitle          - equivalent to Subtitle
Quote             - equivalent to Quotations
Intensive Quote
List Paragraph

And here is Google Docs' default list

Normal Text
Title
Subtitle
Heading 1
Heading 2
Heading 3
Comment 1 Heiko Tietze 2018-09-05 07:37:44 UTC
The actual order is: "Text body", "Title", "Subtitle", "Heading 1", "Heading 2", "Heading 3", "Quotations" followed by "Preformatted Text". Text body on top makes sense but why do we have the obscure Preformatted style in the menu at all?
Comment 2 Yousuf Philips (jay) (retired) 2018-09-05 15:45:23 UTC
Created attachment 144695 [details]
what i see
Comment 3 Commit Notification 2018-09-06 08:33:16 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=337cf4b174d1bda1f582bb83e43f8cb101a05902

tdf#108351 - Default list of paragraph styles in drop down menu

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.